/*
 * 	security.h - Runtime function declarations for libglacier
 *
 * 	This file is part of Glacier.
 *
 * 	Glacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU Lesser General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Glacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * 	You should have received a copy of the GNU Lesser General Public License along with Glacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GLACIERSECURITY_H_
#define GLACIERSECURITY_H_

/*
 * compare_file_hash
 *
 * DESCRIPTION: compare_file_hash compares the SHA256 hashes of a file and its original hash
 * PARAMETERS:
 * 		char ORIG_HASH[] -> The file containing the expected hash result
 * 		char FILE[] -> The file to compare against ORIG_HASH[]
 * RETURN VALUES:
 * 		0 on hashes match, 1 on hashes do not match, -1 on library error
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		compare_file_hash("pkg.sha256sum", "pkg.tar.xz");
 */

/* int compare_file_hash(char ORIG_HASH[], char FILE[]); */

#endif
